# DescribeSnapshots

## 1. 接口描述

本接口(DescribeSnapshots)用于查询快照的详细信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                                                  | 描述                                  |
| --------------- | -- | ------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| snapshotIds     | 否  | Array of String                                                                                                     | 根据快照ID列表进行过滤。                       |
| zoneId          | 否  | String                                                                                                              | 快照所属的可用区ID。                         |
| status          | 否  | [SnapshotStatusValue](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#snapshotstatusvalue) | 根据快照的状态过滤。                          |
| diskIds         | 否  | Array of String                                                                                                     | 按照快照所属的Disk ID列表 过滤。                |
| diskType        | 否  | [DiskType](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#disktype)                       | 根据快照的云盘类型过滤。                        |
| snapshotType    | 否  | [SnapshotType](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#snapshottype)               | 根据快照类型过滤。                           |
| snapshotName    | 否  | String                                                                                                              | <p>根据快照显示名称过滤。</p><p>该字段支持模糊搜索。</p> |
| pageSize        | 否  | Integer                                                                                                             | <p>返回的分页大小。</p><p>默认值：20</p>        |
| pageNum         | 否  | Integer                                                                                                             | <p>返回的分页数。</p><p>默认值：1</p>          |
| resourceGroupId | 否  | String                                                                                                              | 根据资源组ID过滤。                          |

## 3. 响应结果

| 参数名称       | 类型                                                                                                             | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                                         | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                        | 满足过滤条件的快照总数。                                             |
| dataSet    | Array of [SnapshotInfo](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#snapshotinfo) | 返回的快照列表数据。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询快照列表**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeSnapshots
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"],
    "zoneId": "asia-east-1a",
    "status": "AVAILABLE",
    "snapshotName": "snapshot-state",
    "pageSize": 20,
    "pageNum": 1
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 1,
    "dataSet": [
      {
        "snapshotId": "<snapshotId>",
        "snapshotName": "snapshotName",
        "zoneId": "asia-east-1a",
        "status": "AVAILABLE",
        "diskId": "<diskId>",
        "createTime": "2025-07-02T09:51:00Z",
        "resourceGroupId": "0a253bb0-eb7d-4328-84ec-fc8d1487b31a",
        "resourceGroupName": "Default Resource Group",
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk-snapshot/describesnapshots.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
